For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList refunds
      • POSTCreate refund
      • GETRetrieve refund
      • POSTCapture refund
      • POSTVoid refund
      • POSTVoid refund by idempotency key
      • Refund
      • POSTEvent: refund.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIRefunds

Void refund

POST
/refunds/:refund_id/void
POST
/network/v1/refunds/:refund_id/void
$curl -X POST https://api.cash.app/network/v1/refunds/refund_id/void \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "refund": {
3 "id": "PWCR_da1v3j4p3z15y47adpzzq0whj",
4 "amount": 2500,
5 "currency": "USD",
6 "customer_id": "AUTH_24g7nq7m1je9b6fnzbtvwzqej",
7 "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
8 "status": "VOIDED",
9 "created_at": "2022-01-01T12:00:00Z",
10 "updated_at": "2022-01-05T12:00:00Z",
11 "grant_id": "GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50",
12 "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
13 "reference_id": "external-id"
14 }
15}
Moves an authorized refund to the voided state and removes the "pending refund" screen from a customer's Cash App account. <Note> You can only void an authorized refund. </Note> **This endpoint is not rate limited.** Scopes: `REFUNDS_WRITE`
Was this page helpful?
Previous

Void refund by idempotency key

Next
Built with

Moves an authorized refund to the voided state and removes the “pending refund” screen from a customer’s Cash App account.

You can only void an authorized refund.

This endpoint is not rate limited.

Scopes: REFUNDS_WRITE

Path parameters

refund_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
refundobject

Errors

404
Not Found Error